Info: dette er ikke endringsloggen for siste stabile versjon 4.13.1
se alle skiftelogger

Pro v2.7.2 - kompatibilitet og utgivelse av bugfix - er tilgjengelig

v2.7.2 er en kompatibilitets- og bugfix-utgivelse som fokuserer på å øke den generelle anvendeligheten på frontend og backend. Jeg vil spesielt takke alle brukere som rapporterer problemer og plugin-konflikter som også kan løses med denne utgivelsen.

En oppdatering til den nyeste versjonen er - som alltid - sterkt anbefalt. For mer informasjon om denne utgivelsen, se nedenfor.


La oss få vite hva du synes om denne nye utgivelsen av sende inn en anmeldelse eller legge igjen en kommentar nedenfor!

Hvis du vil holde deg oppdatert med den siste Maps Marker Pro-utviklingen, følg @MapsMarker på twitter (= siste oppdateringer), på Facebook , Google+ eller abonner på nyheter via RSS eller via RSS / e-post.

Vi vil også invitere deg til å bli med på vår affiliate program som tilbyr provisjoner opptil 50%. Hvis du er interessert i å bli forhandler, kan du gå til https://www.mapsmarker.com/reseller


La oss nå komme til høydepunktene i pro v2.7.2:

ny bulkhandling for å slette tildelte markører på lagredigeringsside

På lagredigeringssidene kan du nå slette tildelte markører fra tabellen i bulk:

bulk-delete-lag-side

Takk Chris for verdifulle tilbakemeldinger!

legg til kompatibilitetsinnstilling for kart som skal lastes riktig i proprietære faneløsninger og skjulte div

Maps Marker Pro støtter allerede visning av kart på riktig måte i faner opprettet med jQuery UI-faner og oppstartsstrap-faner. Det som forårsaket oss noen hodepine så langt var proprietære tabuløsninger eller kart som ble lastet i skjulte divs og vist ved å klikke på etterspørsel - dette kan føre til at kart ikke ble fulladet.

Så med v2.7.2 la vi nå til en ny generell kompatibilitetsinnstilling ved Innstillinger / Diverse / Generelle innstillinger:

tab-kompatibilitets-innstilling

Aktiver bare denne innstillingen hvis du har problemer med kart i egenutviklede faneløsninger eller skjulte divisjoner som vises på forespørsel.

vis feilmelding hvis brukere prøver å tildele en markør direkte til et flerlagskart

At markører ikke kan tilordnes til flere lagskart direkte, men bare til lag som brukes i flerlagskart, er kanskje ikke intuitivt - spesielt ikke for nye brukere. Med v2.7.2 prøvde vi å forbedre dette ved å vise en varselinfo med relatert informasjon hvis en bruker prøver å tilordne en markør til et flerlagskart:

MLM-oppgave-error

Andre endringer og optimaliseringer

  • “Endre lag-ID” -funksjonen på verktøysiden oppdaterer nå også lag-ID som brukes i flerlagskart (thx Coen!)
  • fjernet alternativ for ikonbredde for widgeter (ettersom ikonet ble forvrengt)
  • oppdatert minimum anbefalt PHP-versjon for innebygd PHP-sjekk til 5.6 - støtter wpupdatephp.com

Feilrettinger

  • kompatibilitet for ContactForm7-skjemaer i popup-tekster på lagkart
  • oppskalering for MapQuest OSM-basekart til zoomnivå 18+ ble ødelagt (thx Michael!)
  • lagkart kan bli ødelagt hvis en spesiell innstillingskombinasjon for liste over markører ble brukt (thx Lynn!)
  • nylig markørwidget: vis skillelinjer-, vis popup-tekst- og vis ikonalternativer fungerte ikke som designet (thx Harald!)
  • nylig markørwidget: alternativet for å angi fargeverdi for skillelinje ble ødelagt
  • kontrolltegn som faner i markørnavn kan ødelegge lagkart med aktivert liste over markører (thx Peter!)
  • REST API-feil "Den angitte brukeren har allerede API-nøkler, eller den angitte brukeren eksisterer ikke."
  • kompatibilitetssjekk for plugin-pluggen for eksterne lenker fungerte ikke lenger siden v2.0 (thx Oleg!)
  • prøveperioden uavhengig-tilgang til frontend-kart på localhost-installasjoner ble brutt
  • lag (er) tilordning-nedtrekksordning ble ikke bestilt av lag-ID på markørredigerings- og verktøy-siden (thx Coen!)
  • javascript udefinert advarsel for liste over markører hvis mangel har endret seg
  • Funksjonen "endre lag-ID" på verktøysiden oppdaterte ikke tildelte markører siden v2.4 (thx Coen!)
  • "Liste over markører" -tabellen på lagredigeringssider for flerlagskart med alle tildelte markører ble ikke vist riktig

Kjente problemer

Geolocation-funksjonen fungerer ikke lenger med Google Chrome 50+ med mindre nettstedet ditt er sikkert tilgjengelig via https

Med Chrome 50 har Google gjort en betydelig endring av geolokasjonsstøtten til nettleseren: alle applikasjoner som ber om brukerens nåværende posisjon (ikke bare for Maps Marker Pro 's geolocation-funksjon), har bare lov til å hente den nåværende posisjonen til brukeren hvis nettstedet er konfigurert for å bli levert sikkert via https - brukere vil se følgende advarsel i stedet:

geolocation-feil-info

Se flere detaljer om denne avgjørelsen fra Google på https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only. Geolocation vil fortsatt fungere på nettsteder som ikke er https hvis brukerne får tilgang til nettstedet via alternative nettlesere som Firefox, Safari eller Internet Explorer - uansett kan det være sannsynlig at disse nettleserne også vil legge til en lignende sikkerhetsbegrensning i fremtiden.

Så hvis du trenger Maps Marker Pro geolocation featue på nettstedet ditt (som med v2.7 blir enda mer brukbart da du kan sortere listen over markører basert på brukerens nåværende posisjon), anbefales det på det sterkeste å migrere nettstedet til https. Noen hosters tilbyr allerede gratis https-sertifikater fra letsencrypt.org for eksempel. For konfigurasjoner som trengs på WordPress-nettstedet ditt for å konfigurere det til å støtte https, kan du ta en titt på veiledninger som https://css-tricks.com/moving-to-https-on-wordpress/.

Ettersom https har flere fordeler for nettstedet ditt enn bare geolokalisering som jobber igjen med Google Chrome 50+ (som å sikre dataintegriteten, avsenderautentisering og brukernes personvern samt høyere Google-rangering ettersom https brukes som rangeringssignal), anbefaler vi sterkt å bytte nettstedet ditt til https bare hvis du ikke har gjort det ennå.

Oversettelser oppdateres

Takket være mange motiverte bidragsytere inkluderer denne utgivelsen følgende oppdaterte oversettelser:

Hvis du vil bidra til oversettelser (nye hindi-oversettere vil bli satt pris på!), Vennligst besøk https://translate.mapsmarker.com/projects/lmm for mer informasjon.

Vær oppmerksom på at oversetterne også blir kompensert for deres bidrag - for eksempel hvis en oversettelse er ferdig mindre enn 50%, får oversetteren en gratis pakke på 25 lisenser til en verdi av € 249 som kompensasjon for å fullføre oversettelsen til 100%.

Outlook - planer for de neste utgivelsene

Vær oppmerksom på at vi ikke kan love noen utgivelsesdatoer for nye funksjoner. De veikart for viktige nye funksjoner gir deg en ide hvor Maps Marker Pro er på vei - uansett vil vi bare beholde fleksibiliteten til å legge til optimaliseringer og bugfixes med ganske ikke planlagte mindre utgivelser som hovedsakelig skyldes tilbakemeldinger fra brukerne.

Abonner på denne bloggen (via RSS or E-post) eller følg @MapsMarker på twitter (= mest aktuelle oppdateringer) hvis du vil holde deg oppdatert med de siste utviklingsnyhetene.

Full changelog

ny bulkhandling for å slette tildelte markører på lagredigeringsside (thx Chris!)
legg til kompatibilitetsinnstilling for kart som skal lastes riktig i proprietære faneløsninger og skjulte div
vis feilmelding hvis brukere prøver å tildele en markør direkte til et flerlagskart
“Endre lag-ID” -funksjonen på verktøysiden oppdaterer nå også lag-ID som brukes i flerlagskart (thx Coen!)
fjernet alternativ for ikonbredde for widgeter (ettersom ikonet ble forvrengt)
oppdatert minimum anbefalt PHP-versjon for innebygd PHP-sjekk til 5.6 - støtter wpupdatephp.com
kompatibilitet for ContactForm7-skjemaer i popup-tekster på lagkart
oppskalering for MapQuest OSM-basekart til zoomnivå 18+ ble ødelagt (thx Michael!)
lagkart kan bli ødelagt hvis en spesiell innstillingskombinasjon for liste over markører ble brukt (thx Lynn!)
nylig markørwidget: vis skillelinjer-, vis popup-tekst- og vis ikonalternativer fungerte ikke som designet (thx Harald!)
nylig markørwidget: alternativet for å angi fargeverdi for skillelinje ble ødelagt
kontrolltegn som faner i markørnavn kan ødelegge lagkart med aktivert liste over markører (thx Peter!)
REST API-feil "Den angitte brukeren har allerede API-nøkler, eller den angitte brukeren eksisterer ikke."
kompatibilitetssjekk for plugin-pluggen for eksterne lenker fungerte ikke lenger siden v2.0 (thx Oleg!)
prøveperioden uavhengig-tilgang til frontend-kart på localhost-installasjoner ble brutt
lag (er) tilordning-nedtrekksordning ble ikke bestilt av lag-ID på markørredigerings- og verktøy-siden (thx Coen!)
javascript udefinert advarsel for liste over markører hvis mangel har endret seg
Funksjonen "endre lag-ID" på verktøysiden oppdaterte ikke tildelte markører siden v2.4 (thx Coen!)
"Liste over markører" -tabellen på lagredigeringssider for flerlagskart med alle tildelte markører ble ikke vist riktig
Geolocation-funksjonen fungerer ikke lenger med Google Chrome 50+ med mindre nettstedet ditt er sikkert tilgjengelig via https (detaljer)
Oversettelsesoppdateringer
Hvis du vil hjelpe med oversettelser, kan du gå til nettbasert oversettelsesplattform
oppdatert tysk oversettelse
oppdatert litauisk oversettelse takket være Donatas Liaudaitis - http://www.transleta.co.uk og Ovidijus - http://www.manokarkle.lt
oppdatert russisk oversettelse takket være Ekaterina Golubina (støttet av Teplitsa fra Social Technologies - http://te-st.ru) og Vyacheslav Strenadko, http://slavblog.ru

Vis alle tilgjengelige veksler

Hvordan laste ned / oppdatere

Den enkleste måten å oppdatere er å bruke WordPress-oppdateringsprosessen: logg inn med en bruker som har administratorrettigheter, naviger til Dashboard / Updates, velg plugins som skal oppdateres og trykk på knappen “Update Plugins”. Pro-plugin sjekker hver 12. time om en ny versjon er tilgjengelig. Du kan også utløse oppdateringssjekken manuelt ved å gå til Plugins og klikke på lenken "Manuelt se etter oppdateringer" ved siden av "Maps Marker Pro":

manual-update-sjekk

Hvis du ikke ser lenken "Sjekk etter oppdateringer" og bruker en versjon under 1.7, må du oppdatere manuelt en gang ved å laste ned gjeldende pakke fra https://www.mapsmarker.com/download-pro og overskrive eksisterende plugin-filer på serveren din via FTP. Dette kan være nødvendig på flere verter, som bruker utdaterte SSL-biblioteker, som forhindrer Maps Marker Pro i å opprette en sikker forbindelse for å hente oppdateringspakken fra mapsmarker.com. Pro v1.7 inkluderer en løsning for den typen servere, og følgende oppdateringer skal fungere som vanlig. Hvis du er berørt og trenger hjelp, vær så snill åpne en støtte billett.

Slik bekrefter du integriteten til plugin-pakken

SHA-256 hashverdi:

4EC2DB8D4FD314166E7F63CA85CC838222DCCEDCD2879DBD3D730E1F47052CAF

Klikk her for en veiledning for å bekrefte integriteten til plugin-pakken (anbefales hvis plugin-pakken for en ny installasjon ikke ble lastet ned fra https://www.mapsmarker.com - bekreftelse er ikke nødvendig, men hvis den automatiske oppdateringsprosessen brukes)

Ytterligere oppdateringsnotater for betatester

Ingen ekstra trinn er nødvendig hvis du oppdaterer fra en betaversjon.

Legg igjen en kommentar

XHTML: Du kan bruke disse kodene: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X